Zum Inhalt springen
meniodevelopermenio DashboardVorschau

GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2} · POS API

GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}

POS API v3sortiments
GET/sortiments?thirdPartySortimentIdentifier={string1}&name={string2}

Before an article can be uploaded or updated in the menio system, the trackingUnit must register with an sortiment. This is done with this call. In the response you will receive a so-called 'qnipsSortimentId', which in future will be displayed on the sortiment must be specified. If no sortiment with the specified parameters exists, one is created and its ID returned.

Save the return.


    {
        "qnips sortimentId": "sortiment123"
    }

If the POS system is linked to another sortiment in your system, call up this resource again and save the return again.

Parameter

string1stringErforderlich

Here you must enter the unique identifier of the sortiment under which it is managed in your own system

Beispiel: 1234567890
string2string

a name that is understandable for the merchant, under which he will be able to see the sortiment in the menio dashboard and edit it if necessary. The value should be escaped according to the URL.

Beispiel: Sortiment Lounge Bar

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
Originaler Blueprint-Ausschnitt
API Blueprint
### GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2} [GET]
Before an article can be uploaded or updated in the qnips system, the trackingUnit must register with an sortiment.
This is done with this call. In the response you will receive a so-called 'qnipsSortimentId', which in future will be displayed on the
sortiment must be specified. If no sortiment with the specified parameters exists, one is created and its ID
returned.

Save the return. 

<pre>
<code>
    {
        "qnips sortimentId": "sortiment123"
    }
</code>
</pre>

If the POS system is linked to another sortiment in your system, call up this resource again and save the return again.

+ Parameters
    + string1 (string, `1234567890`) ... Here you must enter the unique identifier of the sortiment under which it is managed in your own system
    + string2 (optional, string, `Sortiment Lounge Bar` -> 'Sortiment%20Lounge Bar') ...  a name that is understandable for the merchant, under which he will be able to see the sortiment in the qnips dashboard and edit it if necessary. The value should be escaped according to the URL.

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}

+ response 200

        {
            "qnips sortimentId": "sortiment123"
        }

+ response 403

        // HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
            
+ Response 401
            
        // HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing
        {
            "ErrorMessage": "some explanation"
            "StackTrace": "text"
        }